Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: dkpg werkt niet  (gelezen 941 keer)

nils holkerson

  • Gast
dkpg werkt niet
« Gepost op: 2006/10/28, 14:15:22 »
ik heb dapper op mn pc staan en ik heb een probleempje met dpkg.
ik krijg deze melding aan het eindevan  het updaten van mijn sources.list
na dit commando:  sudo dpkg --configure krijg ik deze boodschap

dpkg: --configure heeft ten minste een pakketnaam argument nodig

Type dpkg --help for help about installing and deinstalling packages
  • ;

Use `dselect' or `aptitude' for user-friendly package management;
Type dpkg -Dhelp for a list of dpkg debug flag values;
Type dpkg --force-help for a list of forcing options;
Type dpkg-deb --help for help about manipulating *.deb files;
Type dpkg --licence for copyright licence and lack of warranty (GNU GPL)
  • .


Options marked
  • produce a lot of output - pipe it through `less' or `more'


wat betekent dit, en hoe verhelp ik het probleem?

alvast bedankt, nils

Offline bartek

  • Lid
    • http://bartek.blogsome.com
  • Steunpunt: Nee
dkpg werkt niet
« Reactie #1 Gepost op: 2006/10/28, 14:21:41 »
Geeft ge dat commando zelf in? sudo dpkg --configure ?
Je zal een pakketnaam moeten geven. Hij weet niet wat hij moet verwerken/uitpakken.
Een pakketnaam staat voor 't programma dat je wil configureren of uitpakken of wat je er mee wil doen.
| Deliberando saepe perit occasio |

"Car la vie est un bien perdu quand on n'a pas vécu comme on l'aurait voulu"

nils holkerson

  • Gast
dkpg werkt niet
« Reactie #2 Gepost op: 2006/10/28, 14:52:32 »
hoi bartek,
het commando sudo dpkg --configure voer ik inderdaad zelf in.
hoe hoe geef ik dkpg een pakketnaam? als ik synaptic open krijg ik ook de melding dat dpkg het niet doet.

Offline bartek

  • Lid
    • http://bartek.blogsome.com
  • Steunpunt: Nee
dkpg werkt niet
« Reactie #3 Gepost op: 2006/10/28, 15:04:54 »
Er hoort nog iets achter --configure te staan
-i of -a of zo

doe eens dpkg --help en kijk eens welke je precies nodig hebt
| Deliberando saepe perit occasio |

"Car la vie est un bien perdu quand on n'a pas vécu comme on l'aurait voulu"

nils holkerson

  • Gast
dkpg werkt niet
« Reactie #4 Gepost op: 2006/10/28, 15:30:31 »
ik krijg dit, maar ik weet niet echt wat ik hiermee aan moet, ben (nog)  geen terminalheld:

Usage:
  dpkg -i|--install <.deb file name> ... | -R|--recursive ...
  dpkg --unpack <.deb file name> ... | -R|--recursive ...
  dpkg -A|--record-avail <.deb file name> ... | -R|--recursive ...
  dpkg --configure ... | -a|--pending
  dpkg -r|--remove | -P|--purge ... | -a|--pending
  dpkg --get-selections [ ...] get list of selections to stdout
  dpkg --set-selections set package selections from stdin
  dpkg --update-avail replace available packages info
  dpkg --merge-avail merge with info from file
  dpkg --clear-avail erase existing available info
  dpkg --forget-old-unavail forget uninstalled unavailable pkgs
  dpkg -s|--status ... display package status details
  dpkg -p|--print-avail ... display available version details
  dpkg -L|--listfiles ... list files `owned' by package(s)
  dpkg -l|--list [ ...] list packages concisely
  dpkg -S|--search ... find package(s) owning file(s)
  dpkg -C|--audit check for broken package(s)
  dpkg --print-architecture print dpkg architecture
  dpkg --compare-versions compare version numbers - see below
  dpkg --help | --version show this help / version number
  dpkg --force-help | -Dh|--debug=help help on forcing resp. debugging
  dpkg --licence print copyright licensing terms

Use dpkg -b|--build|-c|--contents|-e|--control|-I|--info|-f|--field|
 -x|--extract|-X|--vextract|--fsys-tarfile on archives (type dpkg-deb --help.)

For internal use: dpkg --assert-support-predepends | --predep-package |
  --assert-working-epoch | --assert-long-filenames | --assert-multi-conrep

Options:
  --admindir= Use instead of /var/lib/dpkg
  --root= Install on alternative system rooted elsewhere
  --instdir= Change inst'n root without changing admin dir
  -O|--selected-only Skip packages not selected for install/upgrade
  -E|--skip-same-version Skip packages whose same version is installed
  -G|--refuse-downgrade Skip packages with earlier version than installed
  -B|--auto-deconfigure Install even if it would break some other package
  --no-debsig Do no try to verify package signatures
  --no-act|--dry-run|--simulate
                             Just say what we would do - don't do it
  -D|--debug= Enable debugging - see -Dhelp or --debug=help
  --status-fd Send status change updates to file descriptor
  --log= Log status changes and actions to
  --ignore-depends=,... Ignore dependencies involving
  --force-... Override problems - see --force-help
  --no-force-...|--refuse-... Stop when problems encountered
  --abort-after Abort after encountering errors

Comparison operators for --compare-versions are:
 lt le eq ne ge gt (treat empty version as earlier than any version);
 lt-nl le-nl ge-nl gt-nl (treat empty version as later than any version);
 < << <= = >= >> > (only for compatibility with control file syntax).

Use `dselect' or `aptitude' for user-friendly package management.

Offline gercokees

  • Lid
  • Steunpunt: Nee
dkpg werkt niet
« Reactie #5 Gepost op: 2006/10/28, 15:36:24 »
Volgens mij doe je:
dkpg: --configure -a
maar het moet zijn:
dpkg --configure -a
(Ofwel, een dubbele punt teveel...)
Groet,
Gerco-Kees
<><

Offline profoX

  • Lid
    • wesley
    • Lionslink
  • Steunpunt: Nee
dkpg werkt niet
« Reactie #6 Gepost op: 2006/10/28, 21:37:06 »
Het probleem is dat je niet goed uitlegt wat je wil doen, nils

Citaat van: nils holkerson
na dit commando:  sudo dpkg --configure krijg ik deze boodschap
de vraag is; waarom gebruikte je dat commando? wat wou je bereiken met dat commando? want het commando zoals het daar staat is niet geldig.

Als er iets mis is met dpkg/apt-get dan kan je dit eens proberen:

sudo dpkg --configure -a

en/of

sudo apt-get -f install
Human Knowledge Belongs To The World -- Antitrust (2001)
Nederlandstalige Ubuntu documentatie van Ubuntu-NL (wiki)